Issue1408

classification
Title: JSR-223 engine doesn't implement I/O redirection
Type: rfe Severity: normal
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: jimwhite, nriley
Priority: Keywords:

Created on 2009-07-25.17:48:41 by jimwhite, last changed 2009-07-31.19:29:11 by nriley.

Files
File name Uploaded Description Edit Remove
jython-engine-output-patch.txt jimwhite, 2009-07-25.17:58:02 Patch to PyScriptEngine to support output redir
add-pyfilereader-engine-patch.txt jimwhite, 2009-07-28.06:10:14 Patch adds PyFileReader
Messages
msg4939 (view) Author: Jim White (jimwhite) Date: 2009-07-25.17:58:02
The JSR-223 API provides Writer/ErrorWriter/Reader properties for the 
engine to use for stdio.

Attached is a quickie patch that gets output working.  I didn't spend a 
lot of time figuring out exactly how it should be implemented for this 
particular code, but it does work with IFCX Wings.

I didn't include the ReaderInputStream adapter for supporting input 
because I don't know if the license is OK for Jython.  It is Apache, and 
I used it in the IFCX version of the Jython engine.

In addition to scripting.dev.java.net, you can also see it in IFCX.org 
SVN: 

http://ifcx.svn.sourceforge.net/viewvc/ifcx/thirdparty/scripting/engines
/jython/src/com/sun/script/jython/
msg4944 (view) Author: Nicholas Riley (nriley) Date: 2009-07-26.07:53:24
As I mentioned on jython-users, I've committed the first part of this work 
in r6586.  Will keep this ticket open until we have a solution for stdin 
too.
msg4955 (view) Author: Jim White (jimwhite) Date: 2009-07-28.06:10:13
Here is a first cut at PyFileReader along with integration into 
PyScriptEngine and PythonInterpreter.  Also a minimal sort of test.
msg4974 (view) Author: Nicholas Riley (nriley) Date: 2009-07-31.19:29:11
Thanks - committed in r6618.
History
Date User Action Args
2009-07-31 19:29:11nrileysetstatus: open -> closed
resolution: fixed
messages: + msg4974
2009-07-28 06:10:15jimwhitesetfiles: + add-pyfilereader-engine-patch.txt
messages: + msg4955
2009-07-26 07:53:24nrileysetnosy: + nriley
messages: + msg4944
2009-07-25 17:58:03jimwhitesetfiles: + jython-engine-output-patch.txt
messages: + msg4939
2009-07-25 17:48:41jimwhitecreate